#ifndef _jsc_gui_jsc_gui_h
#define _jsc_gui_jsc_gui_h

#include <jsc/jsc.h>
#include <CodeEditor/CodeEditor.h>
using namespace Upp;

#define LAYOUTFILE <jsc_gui/jsc_gui.lay>
#include <CtrlCore/lay.h>



class jsc_gui : public Withjsc_guiLayout<TopWindow> {
public:
	typedef jsc_gui CLASSNAME;
	JavaScript js;
	jsc_gui();
	void Exec();
};

#endif

